Get List Responses
This API returns the inbound messages received on your account, newest first.
By default, only unread messages are returned.
Parameters for getting List Responses
Headers Parameters
| Parameters | Description |
|---|---|
| Authorization | Please add provided Bearer token - linked to your Cellcast account. Check here |
| Content-Type | application/json |
Query Parameters
All query parameters are optional.
| Parameters | Type | Description |
|---|---|---|
| isRead | boolean | false (default) returns unread messages. true returns messages already marked as read. |
| startDate | string | A date in ISO 8601 format, e.g. 2024-08-01T00:00:00Z. Returns messages received on or after this date. |
| endDate | string | A date in ISO 8601 format, e.g. 2024-08-31T23:59:59Z. Returns messages received on or before this date. |
| page | number | The page number to return. Default: 1. |
| limit | number | The number of messages per page. Default: 10. |
Response Fields
Each message in data.items contains:
| Field | Description |
|---|---|
| from | The mobile number that sent the message. |
| body | The message text. |
| received_at | The date and time the message was received. |
| message_id | The ID of the message. Pass this as messageId to Mark Inbound Messages as Read. |
Code Samples
GET https://api.cellcast.com/api/v1/apiClient/getResponses
bash
curl --location 'https://api.cellcast.com/api/v1/apiClient/getResponses?page=1&limit=10' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{API_KEY}}'Replace with the actual API key that you own.
Responses
200 Success
json
{
"meta": {
"code": 200,
"status": "SUCCESS"
},
"message": "You have 134 response(s)",
"data": {
"items": [
{
"from": "400000001",
"body": "Multi Step Send Message Send Custom and Unsubscribe",
"received_at": "2024-08-22T09:53:36.455Z",
"message_id": "66c70a000000000000000001"
},
{
"from": "400000002",
"body": "Multi Step Send Message Send Custom and Unsubscribe",
"received_at": "2024-08-20T15:23:52.615Z",
"message_id": "66c70a000000000000000002"
},
{
"from": "400000003",
"body": "Multi Step Send Message to All except Unsubscribe",
"received_at": "2024-08-20T15:17:57.617Z",
"message_id": "66c70a000000000000000003"
},
{
"from": "400000004",
"body": "Multi Step Send Message to All except Unsubscribe",
"received_at": "2024-08-20T15:14:22.598Z",
"message_id": "66c70a000000000000000004"
},
{
"from": "400000005",
"body": "Multi Step Send Message to Custom Message",
"received_at": "2024-08-20T15:14:09.498Z",
"message_id": "66c70a000000000000000005"
},
{
"from": "400000006",
"body": "Multi Step Send Message to Custom Message",
"received_at": "2024-08-20T15:12:21.078Z",
"message_id": "66c70a000000000000000006"
},
{
"from": "400000007",
"body": "Multi Step Send Message to Custom Number",
"received_at": "2024-08-20T15:10:07.118Z",
"message_id": "66c70a000000000000000007"
},
{
"from": "400000008",
"body": "Multi Step Send Message to Sender",
"received_at": "2024-08-20T15:06:34.396Z",
"message_id": "66c70a000000000000000008"
},
{
"from": "400000009",
"body": "Multi Step FW Email",
"received_at": "2024-08-20T13:43:23.002Z",
"message_id": "66c70a000000000000000009"
},
{
"from": "400000010",
"body": "All and add tag",
"received_at": "2024-08-19T16:27:58.550Z",
"message_id": "66c70a000000000000000010"
}
],
"total": 134,
"limit": 10,
"totalPages": 14,
"current": 1,
"pagingCounter": 1,
"hasPrevPage": false,
"hasNextPage": true,
"prevPage": null,
"nextPage": 2
},
"error": {}
}401 Unauthorized
json
{
"code": 401,
"message": "Token expired",
"stack": "APIError: Token expired ...."
}